﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=7.8
@EndOfDesignText@
'Custom View class 
#Event: ExampleEvent (Value As Int)
'#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
'#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
'#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
'#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
'#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.
'#DesignerProperty: Key: DefaultColorExample, DisplayName: Default Color Example, FieldType: Color, DefaultValue: Null, Description: Setting the default value to Null means that a nullable field will be displayed.

#DesignerProperty: Key: ColoreSfondo_Rilasciato, DisplayName: Colore Sfondo Rilasciato, FieldType: Color, DefaultValue: 0xFFFFFFFF, Description: You can use the built-in color picker to find the color values.
#DesignerProperty: Key: ColoreSfondo_Premuto, DisplayName: Colore Sfondo Premuto, FieldType: Color, DefaultValue: 0xFF0F9D58, Description: You can use the built-in color picker to find the color values.
#DesignerProperty: Key: SpessoreBordo, DisplayName: Spessore Bordo, FieldType: Int, DefaultValue: 0, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
#DesignerProperty: Key: ColoreContorno_Rilasciato, DisplayName: Colore Contorno Rilasciato, FieldType: Color, DefaultValue: 0xFFFFFFFF, Description: You can use the built-in color picker to find the color values.
#DesignerProperty: Key: ColoreContorno_Premuto, DisplayName: Colore Contorno Premuto, FieldType: Color, DefaultValue: 0xFF0F9D58, Description: You can use the built-in color picker to find the color values.
#DesignerProperty: Key: RaggioAngoli, DisplayName: Raggio Angoli, FieldType: Int, DefaultValue: 2000, MinRange: 0, MaxRange: 20000, Description: Note that MinRange and MaxRange are optional.



Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As B4XView
	Private xui As XUI
	
	Dim ParametriBottone As Map

	Private Panel_Boton As B4XView
	
	Dim touchstart, touchduration As Long
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
	mBase.Color=xui.Color_ARGB(0,255,255,255)
	
	ParametriBottone.Initialize
	ParametriBottone = Props
	
	Dim contenitore As Panel
	contenitore.Initialize("")


	mBase.AddView(contenitore, 0, 0, mBase.Width, mBase.Height)

	contenitore.LoadLayout("Layout_Boton")
	Panel_Boton.SetColorAndBorder(ParametriBottone.Get("ColoreSfondo_Rilasciato"), ParametriBottone.Get("SpessoreBordo"), ParametriBottone.Get("ColoreContorno_Rilasciato"), ParametriBottone.Get("RaggioAngoli"))
	

	
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
  
End Sub

Sub Panel_Boton_Touch (Action As Int, X As Float, Y As Float)
	
Dim pannelloToccato As Panel
pannelloToccato = Sender
	
If Action = pannelloToccato.ACTION_UP Then
		
	Panel_Boton.SetColorAndBorder(ParametriBottone.Get("ColoreSfondo_Rilasciato"), ParametriBottone.Get("SpessoreBordo"), ParametriBottone.Get("ColoreContorno_Rilasciato"), ParametriBottone.Get("RaggioAngoli"))

		
	touchduration = DateTime.Now - touchstart     
	If touchduration < 400 Then 
		'---------

		'---------
			
	Else 
		
			
	End If
End If
      
If Action = pannelloToccato.ACTION_DOWN Then 
	touchstart = DateTime.Now
	Panel_Boton.SetColorAndBorder(ParametriBottone.Get("ColoreSfondo_Premuto"), ParametriBottone.Get("SpessoreBordo"), ParametriBottone.Get("ColoreContorno_Premuto"), ParametriBottone.Get("RaggioAngoli"))
End If
	
	
End Sub